classification
Title: Make 'python -m sysconfig' print something useful
Type: enhancement Stage: resolved
Components: Distutils Versions: Python 3.2
process
Status: closed Resolution:
Dependencies: Superseder:
Assigned To: tarek Nosy List: srid, tarek, ysj.ray
Priority: normal Keywords:

Created on 2010-05-19 22:43 by srid, last changed 2010-05-25 09:48 by tarek. This issue is now closed.

Messages (6)
msg106111 - (view) Author: Sridhar Ratnakumar (srid) Date: 2010-05-19 22:43
"python2.7 -m sysconfig" at the moment does not print anything. "python2.7 -m site", for instant, prints useful information.

Perhaps the output of `sysconfig.get_path` can be pretty printed?
msg106112 - (view) Author: Tarek Ziadé (tarek) * (Python committer) Date: 2010-05-19 22:49
You mean get_paths ?

It could also print out get_config_vars() output
msg106113 - (view) Author: Sridhar Ratnakumar (srid) Date: 2010-05-19 22:52
Yes, get_paths(). It could also print get_config_vars(), yes. 

If you want to make it sophisticated you could support arguments/options using the 'argparse' module. :)
msg106114 - (view) Author: Tarek Ziadé (tarek) * (Python committer) Date: 2010-05-19 22:59
weird, just realized "python -m site" doesn't print anything for me..

> If you want to make it sophisticated you could support arguments/options using the 'argparse' module. :)

Let's add the simplest case at first ;)
msg106126 - (view) Author: ysj.ray (ysj.ray) Date: 2010-05-20 02:32
Add get_paths()'s output seems reasonable and simple enough, also we could make the output format prettier.
msg106423 - (view) Author: Tarek Ziadé (tarek) * (Python committer) Date: 2010-05-25 09:48
added in r81513 

Thanks all !
History
Date User Action Args
2010-05-25 09:48:54tareksetstatus: open -> closed
stage: resolved
2010-05-25 09:48:40tareksetmessages: + msg106423
2010-05-20 02:32:58ysj.raysetnosy: + ysj.ray
messages: + msg106126
2010-05-19 22:59:46tareksetmessages: + msg106114
2010-05-19 22:52:55sridsetmessages: + msg106113
2010-05-19 22:49:57tareksetversions: - Python 2.7
2010-05-19 22:49:36tareksetmessages: + msg106112
2010-05-19 22:43:17sridcreate